<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Models\UserRating;
use Illuminate\Http\Request;

class UserRatingController extends Controller
{
    //
    public function getRatings(Request $request, User $user)
    {
        return response()->json([
            'ratings' => $user->ratings
        ]);
    }

    public function giveRating(Request $request)
    {
        $request->validate([
            'user_id' => 'required',
            'rating' => 'required',
            'review' => 'required',
        ]);

        $user = User::find($request->user_id);
        $reviewer = $request->user();
        if ($user){
            $userRating = UserRating::updateOrCreate(
                [
                    'user_id' => $user->id,
                    'reviewer_id' => $reviewer->id,
                ],
                [
                    'ratings' => $request->rating,
                    'review' => $request->review,
                ]
            );

            return response()->json([
                'ratings' => $user->ratings
            ]);
        }

        else{
            return response()->json([
                'message' => 'User not found'
            ]);
        }

    }
}
