<?php

namespace App\Listeners;

use App\Helper\Helper;
use App\Models\User;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Laravel\Paddle\Events\WebhookReceived;


class PaddleEventListener
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle(WebhookReceived $event)
    {
        $user = User::where('email', $event->payload['email'])->first();
        if($user){
            if ($event->payload['alert_name'] === 'subscription_created') {

                if($user->hasRole(Helper::LOCAL_TYPE)){
                    $user->plan_id = Helper::EXTENDED_PLAN;
                    $user->is_subscription_paid = true;
                    $user->save();
                }
                else if($user->hasRole(Helper::TOURIST_TYPE)){
                    $user->plan_id_tourist = Helper::EXTENDED_PLAN;
                    $user->is_subscription_paid_tourist = true;
                    $user->save();
                }
                
            }
    
            if($event->payload['alert_name'] === 'subscription_cancelled'){
                if($user->hasRole(Helper::LOCAL_TYPE)){
                    $user->plan_id = Helper::FREE_PLAN;
                    $user->is_subscription_paid = false;
                    $user->save();
                }
                else if($user->hasRole(Helper::TOURIST_TYPE)){
                    $user->plan_id_tourist = Helper::FREE_PLAN;
                    $user->is_subscription_paid_tourist = false;
                    $user->save();
                }
                
            }
        }
        
    }
}
