<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Chat extends Model
{
    use HasFactory;

    protected $guarded = [];


    public function messages()
    {
        return $this->hasMany(ChatMessage::class, 'chat_id');
    }

    public function local()
    {
        return $this->belongsTo(User::class, 'local_id');
    }

    public function tourist()
    {
        return $this->belongsTo(User::class, 'tourist_id');
    }
}
