<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class PaymentMethodIfExtendedPlanRule implements Rule
{
    protected $request;
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct($request)
    {
        $this->request = $request;
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        if($value == 'extended'){
            $card = $this->request->input('card');
            if(isset($card['number']) && isset($card['exp_month']) && isset($card['exp_year']) && isset($card['cvc'])){
                return true;
            }
            return false;
        }
        return true;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'Credit card number, exp month, exp year and cvc is required.';
    }
}
