<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTripsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trips', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('local_id')->nullable();
            $table->unsignedBigInteger('tourist_id')->nullable();
            $table->dateTime('trip_date')->nullable();
            $table->dateTime('trip_time')->nullable();
            $table->text('duration_in_hours')->nullable();
            $table->text('place_id')->nullable();
            $table->text('gender')->nullable();
            $table->text('tourist_min_budget')->nullable();
            $table->text('tourist_max_budget')->nullable();
            $table->boolean('accepted_by_local')->default(false)->nullable();
            $table->boolean('marked_finished_by_local')->default(false)->nullable();
            $table->boolean('marked_finished_by_tourist')->default(false)->nullable();
            $table->string('status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trips');
    }
}
