<?php

namespace Database\Seeders;

use App\Helper\Helper;
use App\Models\Location;
use Illuminate\Database\Seeder;

class LocationSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //

        Location::truncate();

        $locations = [
            "Abhā",
            "Abqaiq",
            "Al-Baḥah",
            "Al-Dammām",
            "Al-Hufūf",
            "Al-Jawf",
            "Al-Kharj (oasis)",
            "Al-Khubar",
            "Al-Qaṭīf",
            "Al-Ṭaʾif",
            "ʿArʿar",
            "Buraydah",
            "Dhahran",
            "Ḥāʾil",
            "Jiddah",
            "Jīzān",
            "Khamīs Mushayt",
            "King Khalīd Military City",
            "Mecca",
            "Medina",
            "Najrān",
            "Ras Tanura",
            "Riyadh",
            "Sakākā",
            "Tabūk",
            "Yanbuʿ",
        ];

        foreach ($locations as $location){
            Location::create([
                'name' => $location,
                'type' => Helper::CITY_LOCATION_TYPE
            ]);
        }

    }
}
