<?php

use App\Helper\Helper;
use App\Models\User;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Artisan;
use Symfony\Component\Console\Output\BufferedOutput;
use Laravel\Sanctum\PersonalAccessToken;

Route::get('/user/subscribe/{token}', function (Request $request, $token) {
    // $user = Auth::getUserby;
    $token = PersonalAccessToken::findToken($token);
    $user = $token->tokenable;
    
    if (!$user->customer) {
        $user->createAsCustomer();
    }

    $payLink = $user->newSubscription('default', $premium = 33866)
        ->returnTo(route('success_checkout'))
        ->create();

    return view('subscribe', ['payLink' => $payLink]);
});

Route::get('/tourist/subscribe/{token}', function (Request $request, $token) {
    // $user = Auth::getUserby;
    $token = PersonalAccessToken::findToken($token);
    $user = $token->tokenable;
    
    if (!$user->customer) {
        $user->createAsCustomer();
    }

    $payLink = $user->newSubscription('default_tourist', $premium = 35001)
        ->returnTo(route('success_checkout'))
        ->create();

    return view('subscribe', ['payLink' => $payLink]);
});

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('success_checkout', function(Request $request){
    return view('success_payment');
})->name('success_checkout');

Route::get('/', function () {
    return view('welcome');
})->name('home');

Route::get('artisan/migrate', function (){
    try {
        echo '<br>init migrate...';
        $output = new BufferedOutput;
        Artisan::call('migrate', [], $output);
        dump($output);
        echo 'done migrate';
    } catch (Exception $e) {
        return $e->getMessage();
    }
});
